"use-strict";
const { objSerialize } = require("./util.js")

/**
 * @public
 * @constructor
 * @returns {RadioPlaybackInfo}
 */
const RadioPlaybackInfo = function () {
    this.volume = undefined
    return this
}

/**
 * @public
 * @returns {RadioPlaybackInfo}
 */
RadioPlaybackInfo.new = () => new RadioPlaybackInfo()

/**
 * @public
 * @param {number} volume - Playback volume. Crude version of ReplayGain
 * @returns {RadioPlaybackInfo}
 */
RadioPlaybackInfo.prototype.setPlaybackVolume = function (volume) { this.volume = volume; return this; }

/**
 * @deprecated
 * @returns {Object}
 */
RadioPlaybackInfo.prototype.serialize = function () {
    return objSerialize(this, [
        "volume"
    ])
}

module.exports = { RadioPlaybackInfo }
